<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/11/2003 *
 * ===================                          Last change: 07/04/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_emails.php                           *
 * -------------------------------------------------------------------- *
 * Short description : Edit all things around email and sending         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Aendern aller Email-Einstellungen                *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
}

// Add description as navigation point
addMenuDescription('admin', __FILE__);

// Remove empty array index
if (!isPostRequestElementSet(('max'))) unsetPostRequestElement(('add_max'));

if (isPostRequestElementSet(('add_max'))) {
	// Save all settings
	$result = SQL_QUERY_ESC("SELECT `id` FROM `{?_MYSQL_PREFIX?}_max_receive` WHERE value='%s' LIMIT 1",
	array(bigintval(postRequestElement('max'))), __FILE__, __LINE__);
	if (SQL_NUMROWS($result) == '0') {
		// Add this value (including comment)
		SQL_QUERY_ESC("INSERT INTO `{?_MYSQL_PREFIX?}_max_receive` (value, comment) VALUES ('%s','%s')",
		array(bigintval(postRequestElement('max')), postRequestElement('comment')),__FILE__, __LINE__);
		$content = getMessage('MAX_VALUE_SAVED');
	} else {
		// Value does alread exists!
		$content = "<span class=\"admin_failed\">{--MAX_VALUE_ALREADY--}</span>";
	}

	// Free memory
	SQL_FREERESULT($result);

	// Display message
	loadTemplate('admin_settings_saved', false, $content);
} elseif ((isFormSent()) && (isGetRequestElementSet('do'))) {
	// Change or delete entries...
	$TEXT = '';
	foreach (postRequestElement('id') as $id => $value) {
		// Secure id
		$id = bigintval($id);

		switch (getRequestElement('do'))
		{
			case 'edit': // Change entries
				SQL_QUERY_ESC("UPDATE `{?_MYSQL_PREFIX?}_max_receive` SET value='%s', comment='%s' WHERE `id`=%s LIMIT 1",
				array(
					bigintval(postRequestElement('val', $id)),
					postRequestElement('comm', $id),
					$id
				),__FILE__, __LINE__);
				$TEXT = getMessage('MRECEIVE_SAVED');
				break;

			case 'del':
				SQL_QUERY_ESC("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_max_receive` WHERE `id`=%s LIMIT 1",
					array($id), __FILE__, __LINE__);
				$TEXT = getMessage('MRECEIVE_DELETED');
				break;
		}
	}

	if (isset($TEXT)) {
		// Display message
		loadTemplate('admin_settings_saved', false, $TEXT);
	} // END - if
} elseif ((isPostRequestElementSet('del')) && (countPostSelection() > 0)) {
	// Delete entries
	$OUT = ''; $SW = 2;
	foreach (postRequestElement('sel') as $id => $value) {
		// Load data
		$result = SQL_QUERY_ESC("SELECT value, comment FROM `{?_MYSQL_PREFIX?}_max_receive` WHERE `id`=%s LIMIT 1",
		array(bigintval($id)), __FILE__, __LINE__);
		list($value, $comment) = SQL_FETCHROW($result);
		SQL_FREERESULT($result);

		// Prepare data for the row template
		$content = array(
			'sw'      => $SW,
			'id'      => $id,
			'value'   => $value,
			'comment' => $comment,
		);

		// Load row template and switch color
		$OUT .= loadTemplate('admin_config_email_del_row', true, $content);
		$SW = 3 - $SW;
	}
	$content['rows'] = $OUT;

	// Load main template
	loadTemplate('admin_config_email_del', false, $content);
} elseif ((isPostRequestElementSet('edit')) && (countPostSelection() > 0)) {
	// Edit entries
	$OUT = ''; $SW = 2;
	foreach (postRequestElement('sel') as $id => $value) {
		// Load data
		$result = SQL_QUERY_ESC("SELECT value, comment FROM `{?_MYSQL_PREFIX?}_max_receive` WHERE `id`=%s LIMIT 1",
		array(bigintval($id)), __FILE__, __LINE__);
		list($value, $comment) = SQL_FETCHROW($result);
		SQL_FREERESULT($result);

		// Prepare data for the row template
		$content = array(
			'sw'      => $SW,
			'id'      => $id,
			'value'   => $value,
			'comment' => $comment,
		);

		// Load row template and switch color
		$OUT .= loadTemplate('admin_config_email_edit_row', true, $content);
		$SW = 3 - $SW;
	}
	$content['rows'] = $OUT;

	// Load main template
	loadTemplate('admin_config_email_edit', false, $content);
} else {
	$result = SQL_QUERY("SELECT `id`, `value`, `comment` FROM `{?_MYSQL_PREFIX?}_max_receive` ORDER BY `value` ASC",
	__FILE__, __LINE__);
	if (SQL_NUMROWS($result) > 0) {
		// List already existing entries for editing
		$OUT = ''; $SW = 2;
		while ($content = SQL_FETCHARRAY($result)) {
			// Prepare data for the row template
			$content['sw'] = $SW;

			// Load row template and switch color
			$OUT .= loadTemplate('admin_config_email_row', true, $content);
			$SW = 3 - $SW;
		} // END - while

		// Free memory
		SQL_FREERESULT($result);
		$content['rows'] = $OUT;

		// Load main template
		loadTemplate('admin_config_email', false, $content);
	} // END - if

	// Display form
	loadTemplate('admin_add_max');
}

// [EOF]
?>
